{ pkgs, lib, ... }:

let
  # TODO: eliminate redundant color definitions
  background = "#2e3440";
  background-alt = "#3b4252";
  foreground = "#eceff4";
  primary = "#8fbcbb";
  alert = "#bf616a";
  disabled = "#434c5e";
in
{
  home.packages = with pkgs; [ lm_sensors ];
  services.polybar.config = {
   "module/cputemp" = {
      type = "custom/script";

      interval = 2;

      exec = "/etc/profiles/per-user/elnu/bin/sensors | /run/current-system/sw/bin/grep \"Package id 0:\" | /run/current-system/sw/bin/tr -d '+' | /run/current-system/sw/bin/awk '{print $4}'";
    };
    "module/battery" = {
      type = "internal/battery";
      battery = "BAT0";
      adapter = "AC";

      format-low = "<animation-low> <label-low>";

      label-charging = "%{F${primary}}AC%{F-} %percentage%%";
      label-discharging = "%{F${primary}}BAT%{F-} %percentage%%";
      label-full = "%{F${primary}}AC%{F-}";

      animation-low-0 = "%{F${primary}}BAT%{F-}";
      animation-low-1 = "%{F${alert}}LOW%{F-}";

      full-at = 96;
      low-at = 10; # default
    };
  };
}
